Gets a specific supplier for a product
Gets a specific supplier for a product
Path Parameters
Product ID
Supplier Code
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Product supplier retrieved successfully
ProductSupplier
Product ID
Supplier Code
Supplier Name
Supplier Status (true - Enabled, false - Disabled)
Supplier Buy Ex
>= -922337203685477.6<= 922337203685477.6
Supplier SKU2
Lead Time in days
Indicates if the product supplier is a default supplier
Notes
Indicates if the product supplier is soft deleted
Path Parameters
Headers
Deletes specific Product Supplier by supplier code
Deletes specific Product Supplier by supplier code
Path Parameters
Product id
Product Supplier code
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Product Supplier was deleted
Path Parameters
Headers
Updates a specific product supplier by product ID and supplier code
Sample request:
PUT /products/123/suppliers/00
{
"supplier_buy_ex": 1.1,
"supplier_sku2": "SupplierSKU2",
"lead_time": 4,
"is_default": true,
"notes": "This is a Note."
}
Path Parameters
Product ID
Supplier code
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Product supplier to update
EmptyExample
Response
application/json
Response
Product supplier updated successfully
ProductSupplier
Product ID
Supplier Code
Supplier Name
Supplier Status (true - Enabled, false - Disabled)
Supplier Buy Ex
>= -922337203685477.6<= 922337203685477.6
Supplier SKU2
Lead Time in days
Indicates if the product supplier is a default supplier
Notes
Indicates if the product supplier is soft deleted
Path Parameters
Headers
Body
producttypes
Searches Product Types by parameters
Searches Product Types by parameters
Query Parameters
Modified since
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Product Types data
ProductType.PagingResponse
Product Type Model